package com.ruoyi.project.training.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.mapper.TWorklicenseMapper;
import com.ruoyi.project.training.domain.TWorklicense;
import com.ruoyi.project.training.service.ITWorklicenseService;

import javax.annotation.Resource;

/**
 * 上岗证一览Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-02
 */
@Service
public class TWorklicenseServiceImpl implements ITWorklicenseService
{
    @Resource
    private TWorklicenseMapper tWorklicenseMapper;

    /**
     * 查询上岗证一览
     *
     * @param id 上岗证一览ID
     * @return 上岗证一览
     */
    @Override
    public TWorklicense selectTWorklicenseById(Long id)
    {
        return tWorklicenseMapper.selectTWorklicenseById(id);
    }

    /**
     * 查询上岗证一览
     *
     * @param employeeid 人员员工号
     * @return 上岗证一览
     */
    public TWorklicense selectTWorklicenseByEmployeeid(String employeeid)
    {
        return tWorklicenseMapper.selectTWorklicenseByEmployeeid(employeeid);
    }

    /**
     * 查询上岗证一览列表
     *
     * @param tWorklicense 上岗证一览
     * @return 上岗证一览
     */
    @Override
    public List<TWorklicense> selectTWorklicenseList(TWorklicense tWorklicense)
    {
        return tWorklicenseMapper.selectTWorklicenseList(tWorklicense);
    }

    /**
     * 定时任务查询上岗证一览列表
     *
     * @param tWorklicense 上岗证一览
     * @return 上岗证一览集合
     */
    @Override
    public List<TWorklicense> selectList(TWorklicense tWorklicense) {
        return tWorklicenseMapper.selectList(tWorklicense);
    }

    /**
     * 新增上岗证一览
     *
     * @param tWorklicense 上岗证一览
     * @return 结果
     */
    @Override
    public int insertTWorklicense(TWorklicense tWorklicense)
    {
        return tWorklicenseMapper.insertTWorklicense(tWorklicense);
    }

    /**
     * 修改上岗证一览
     *
     * @param tWorklicense 上岗证一览
     * @return 结果
     */
    @Override
    public int updateTWorklicense(TWorklicense tWorklicense)
    {
        return tWorklicenseMapper.updateTWorklicense(tWorklicense);
    }

    /**
     * 批量删除上岗证一览
     *
     * @param ids 需要删除的上岗证一览ID
     * @return 结果
     */
    @Override
    public int deleteTWorklicenseByIds(Long[] ids)
    {
        return tWorklicenseMapper.deleteTWorklicenseByIds(ids);
    }

    /**
     * 删除上岗证一览信息
     *
     * @param id 上岗证一览ID
     * @return 结果
     */
    @Override
    public int deleteTWorklicenseById(Long id)
    {
        return tWorklicenseMapper.deleteTWorklicenseById(id);
    }
}
